Name:           not-yet-commons-ssl
Version:        0.3.17
Release:        4%{?dist}
Summary:        Library to make SSL and Java Easier

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://juliusdavies.ca/commons-ssl
Source0:        http://juliusdavies.ca/commons-ssl/not-yet-commons-ssl-%{version}.zip
Source1:        %{name}-MANIFEST.MF
Source2:        %{name}-%{version}.pom
BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  log4j
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  bouncycastle
BuildRequires:  ant-junit
BuildRequires:  mockito
BuildRequires:  zip
Requires:       log4j
Requires:       jakarta-commons-httpclient

%description
Commons-SSL lets you control the SSL options you need in an 
natural way for each SSLSocketFactory, and those options won't 
bleed into the rest of your system.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
rm -fr javadocs/
sed -i -e 's|optimize="false"|optimize="false" encoding="UTF-8"|g' build.xml
sed -i -e 's|linksource="yes"|linksource="yes" encoding="UTF-8"|g' build.xml

%build
export CLASSPATH=$(build-classpath log4j commons-httpclient bcprov mockito)
ant -Dbuild.sysclasspath=first jar test javadoc

# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/not-yet-commons-ssl.jar META-INF/MANIFEST.MF

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/not-yet-commons-ssl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/javadocs/*  \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -dm 755 %{buildroot}/%{_mavenpomdir}
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.17-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Sep 11 2015 Alexander Kurtakov <akurtako@redhat.com> 0.3.17-2
- Add require-bundle bcprov to osgi manifest.

* Thu Aug 6 2015 Alexander Kurtakov <akurtako@redhat.com> 0.3.17-1
- Update to upstream 0.3.17.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Nov 11 2014 Alexander Kurtakov <akurtako@redhat.com> 0.3.16-1
- Update to 0.3.16 upstream release.

* Thu Sep 11 2014 Alexander Kurtakov <akurtako@redhat.com> 0.3.15-2
- Fix jar path in install.

* Tue Sep 9 2014 Alexander Kurtakov <akurtako@redhat.com> 0.3.15-1
- Update to upstream 0.3.15.
- Fixes CVE-2014-3604 .

* Mon Jun 9 2014 Alexander Kurtakov <akurtako@redhat.com> 0.3.11-12
- Fix FTBFS.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Andrew Robinson <arobinso@redhat.com> 0.3.11-8
- Add POM file for Maven.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Alexander Kurtakov <akurtako@redhat.com> 0.3.11-6
- Fix osgi version (drop .qualifier).
- Adapt to current guidelines.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Feb 10 2011 Alexander Kurtakov <akurtako@redhat.com> 0.3.11-4
- BR zip.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 3 2010 Alexander Kurtakov <akurtako@redhat.com> 0.3.11-2
- Fix javadoc content and Summary.

* Thu Apr 29 2010 Alexander Kurtakov <akurtako@redhat.com> 0.3.11-1
- Initial package.
